package lcsb.mapviewer.converter.zip;

import java.io.Serializable;

import lcsb.mapviewer.model.map.graph.DataMiningType;

/**
 * Structure used to describe a file in zip archive about
 * {@link lcsb.mapviewer.model.map.graph.DataMiningSet} files.
 * 
 * @author Piotr Gawron
 * 
 */
public class DataMiningZipEntryFile extends ZipEntryFile implements Serializable {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID	= 1L;

	/**
	 * Link to the source page.
	 */
	private String					source;
	
	/**
	 * Name of the data set.
	 */
	private String					name;
	
	/**
	 * Description of the data set.
	 */
	private String					description;
	
	/**
	 * Type of the data set.
	 */
	private DataMiningType	type;

	/**
	 * Default constructor.
	 */
	public DataMiningZipEntryFile() {

	}

	/**
	 * Default constructor.
	 * 
	 * @param filename
	 *          name of the file
	 */
	public DataMiningZipEntryFile(String filename) {
		super(filename);
	}

	/**
	 * @return the description
	 * @see #description
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description
	 *          the description to set
	 * @see #description
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * @return the type
	 * @see #type
	 */
	public DataMiningType getType() {
		return type;
	}

	/**
	 * @param type
	 *          the type to set
	 * @see #type
	 */
	public void setType(DataMiningType type) {
		this.type = type;
	}

	/**
	 * @return the source
	 * @see #source
	 */
	public String getSource() {
		return source;
	}

	/**
	 * @param source
	 *          the source to set
	 * @see #source
	 */
	public void setSource(String source) {
		this.source = source;
	}

	/**
	 * @return the name
	 * @see #name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *          the name to set
	 * @see #name
	 */
	public void setName(String name) {
		this.name = name;
	}

}
